Subject: Re: [PATCH v2 8/9] t: allow specifying compatibility hash

From: "brian m. carlson" <[email-masked]>
Date: Fri, 3 Oct 2025 20:45:09 +0000

On 2025-10-03 at 17:14:30, Junio C Hamano wrote:
> "brian m. carlson" <[email-masked]> writes:
> 
> > Finally, in this scenario, we can no longer rely on having broken
> > objects work since we lack compatibility mappings to rewrite objects in
> > the repository.  Add a prerequisite, BROKEN_OBJECTS, that we define in
> > terms of COMPAT_HASH and checks to see if creating deliberately broken
> > objects is possible, so that we can disable these tests if not.
> 
> Thanks for an attention for this kind of details.

I appreciate the kind words.  To be fair, this is one of a few major
causes of testsuite failures when running in compatibility mode, so
addressing these is important to getting the testsuite to work properly
in such a mode.  Fortunately, they are relatively easy to spot and fix.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA